# Variables locales
local IMGFILE

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME testing path_dir str_image int_ndisk int_npart" \
           "$FUNCNAME 1 1 REPO /aula1/winxp  ==>  5642158"
    return
fi
# Error si no se reciben menos de 2 parámetros.
[ $# -lt 2 ] && ogr RaiseError $OG_ERR_FORMAT && return $?
# Error si el fichero de imagen no es accesible.
IMGFILE=$(ogr GetPath "$1" "$2.img") || return $?
[ -r "$IMGFILE" ] || ogr RaiseError OG_ERR_NOTFOUND "$IMGFILE" || return $?

# Devuelve el tamaño de la imagen en KB.
#partimage -B gui=no imginfo "$IMGFILE" 2>&1 | \
#        awk '/Partition size/ {sub(/\.\.+/," "); printf "%d\n",$3*1024*1024;}'
ogr GetImageInfo $IMGFILE | awk -F: '{print $4}'
